﻿<%@ Page Title="Sales Reps" Language="C#" MasterPageFile="~/MIT.master" %>

<script runat="server">

    protected void FormView1_ItemInserted(object sender, FormViewInsertedEventArgs e)
    {
        GridView1.DataBind();
    }

    protected void FormView1_ItemDeleted(object sender, FormViewDeletedEventArgs e)
    {
        GridView1.DataBind();
    }

    protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
    {
        GridView1.DataBind();
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form id="form1" runat="server">
    <h2>Sales Reps</h2>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
        AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="RepNbr" 
        DataSourceID="SqlDataSource1">
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="RepNbr" HeaderText="RepNbr" ReadOnly="True" 
                SortExpression="RepNbr" />
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
            <asp:BoundField DataField="RepOffice" HeaderText="RepOffice" 
                SortExpression="RepOffice" />
            <asp:BoundField DataField="Quota" HeaderText="Quota" SortExpression="Quota" />
            <asp:BoundField DataField="Sales" HeaderText="Sales" SortExpression="Sales" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:MIT1264ConnectionString %>" 
        SelectCommand="SELECT * FROM [SalesReps] ORDER BY [Name]">
    </asp:SqlDataSource>
    <br />
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="RepNbr" 
        DataSourceID="SqlDataSource2" oniteminserted="FormView1_ItemInserted" 
        onitemdeleted="FormView1_ItemDeleted" 
        onitemupdated="FormView1_ItemUpdated">
        <EditItemTemplate>
            RepNbr:
            <asp:Label ID="RepNbrLabel1" runat="server" Text='<%# Eval("RepNbr") %>' />
            <br />
            Name:
            <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
            <br />
            RepOffice:
            <asp:TextBox ID="RepOfficeTextBox" runat="server" 
                Text='<%# Bind("RepOffice") %>' />
            <br />
            Quota:
            <asp:TextBox ID="QuotaTextBox" runat="server" Text='<%# Bind("Quota") %>' />
            <br />
            Sales:
            <asp:TextBox ID="SalesTextBox" runat="server" Text='<%# Bind("Sales") %>' />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                CommandName="Update" Text="Update" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <InsertItemTemplate>
            RepNbr:
            <asp:TextBox ID="RepNbrTextBox" runat="server" Text='<%# Bind("RepNbr") %>' />
            <br />
            Name:
            <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
            <br />
            RepOffice:
            <asp:TextBox ID="RepOfficeTextBox" runat="server" 
                Text='<%# Bind("RepOffice") %>' />
            <br />
            Quota:
            <asp:TextBox ID="QuotaTextBox" runat="server" Text='<%# Bind("Quota") %>' />
            <br />
            Sales:
            <asp:TextBox ID="SalesTextBox" runat="server" Text='<%# Bind("Sales") %>' />
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                CommandName="Insert" Text="Insert" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </InsertItemTemplate>
        <ItemTemplate>
            RepNbr:
            <asp:Label ID="RepNbrLabel" runat="server" Text='<%# Eval("RepNbr") %>' />
            <br />
            Name:
            <asp:Label ID="NameLabel" runat="server" Text='<%# Bind("Name") %>' />
            <br />
            RepOffice:
            <asp:Label ID="RepOfficeLabel" runat="server" Text='<%# Bind("RepOffice") %>' />
            <br />
            Quota:
            <asp:Label ID="QuotaLabel" runat="server" Text='<%# Bind("Quota") %>' />
            <br />
            Sales:
            <asp:Label ID="SalesLabel" runat="server" Text='<%# Bind("Sales") %>' />
            <br />
            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                CommandName="Edit" Text="Edit" />
            &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                CommandName="Delete" Text="Delete" />
            &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
                CommandName="New" Text="New" />
        </ItemTemplate>
    </asp:FormView>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:MIT1264ConnectionString %>" 
        DeleteCommand="DELETE FROM [SalesReps] WHERE [RepNbr] = @RepNbr" 
        InsertCommand="INSERT INTO [SalesReps] ([RepNbr], [Name], [RepOffice], [Quota], [Sales]) VALUES (@RepNbr, @Name, @RepOffice, @Quota, @Sales)" 
        SelectCommand="SELECT * FROM [SalesReps] WHERE ([RepNbr] = @RepNbr)" 
        UpdateCommand="UPDATE [SalesReps] SET [Name] = @Name, [RepOffice] = @RepOffice, [Quota] = @Quota, [Sales] = @Sales WHERE [RepNbr] = @RepNbr">
        <DeleteParameters>
            <asp:Parameter Name="RepNbr" Type="String" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="RepNbr" Type="String" />
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="RepOffice" Type="String" />
            <asp:Parameter Name="Quota" Type="Decimal" />
            <asp:Parameter Name="Sales" Type="Decimal" />
        </InsertParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="GridView1" Name="RepNbr" 
                PropertyName="SelectedValue" Type="String" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="RepOffice" Type="String" />
            <asp:Parameter Name="Quota" Type="Decimal" />
            <asp:Parameter Name="Sales" Type="Decimal" />
            <asp:Parameter Name="RepNbr" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>
    <br />
    <a href="SalesReps2.aspx">More info</a></form>
</asp:Content>

