﻿<%@ Page Title="Customer Orders" Language="C#" MasterPageFile="~/MIT.master" %>

<script runat="server">

    protected void FormView1_ItemDeleted(object sender, FormViewDeletedEventArgs e)
    {
        GridView2.DataBind();
    }

    protected void FormView1_ItemInserted(object sender, FormViewInsertedEventArgs e)
    {
        GridView2.DataBind();
    }

    protected void FormView1_ItemUpdated(object sender, FormViewUpdatedEventArgs e)
    {
        GridView2.DataBind();
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form id="form1" runat="server">
    <h2>Customer Orders</h2>
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        DataKeyNames="CustNbr" DataSourceID="SqlDataSource1">
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="CustNbr" HeaderText="CustNbr" ReadOnly="True" 
                SortExpression="CustNbr" />
            <asp:BoundField DataField="Company" HeaderText="Company" 
                SortExpression="Company" />
            <asp:BoundField DataField="CustRep" HeaderText="CustRep" 
                SortExpression="CustRep" />
            <asp:BoundField DataField="CreditLimit" HeaderText="CreditLimit" 
                SortExpression="CreditLimit" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:MIT1264ConnectionString %>" 
        SelectCommand="SELECT * FROM [Customers] ORDER BY [Company]">
    </asp:SqlDataSource>
    <br />
    <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" 
        DataKeyNames="OrderNbr" DataSourceID="SqlDataSource2">
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="OrderNbr" HeaderText="OrderNbr" 
                InsertVisible="False" ReadOnly="True" SortExpression="OrderNbr" />
            <asp:BoundField DataField="Cust" HeaderText="Cust" SortExpression="Cust" />
            <asp:BoundField DataField="Prod" HeaderText="Prod" SortExpression="Prod" />
            <asp:BoundField DataField="Qty" HeaderText="Qty" SortExpression="Qty" />
            <asp:BoundField DataField="Amt" HeaderText="Amt" SortExpression="Amt" />
            <asp:BoundField DataField="Disc" HeaderText="Disc" SortExpression="Disc" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:MIT1264ConnectionString %>" 
        SelectCommand="SELECT * FROM [Orders] WHERE ([Cust] = @Cust)">
        <SelectParameters>
            <asp:ControlParameter ControlID="GridView1" Name="Cust" 
                PropertyName="SelectedValue" Type="String" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="OrderNbr" 
        DataSourceID="SqlDataSource3" onitemdeleted="FormView1_ItemDeleted" 
        oniteminserted="FormView1_ItemInserted" 
        onitemupdated="FormView1_ItemUpdated">
        <EditItemTemplate>
            OrderNbr:
            <asp:Label ID="OrderNbrLabel1" runat="server" Text='<%# Eval("OrderNbr") %>' />
            <br />
            Cust:
            <asp:TextBox ID="CustTextBox" runat="server" Text='<%# Bind("Cust") %>' />
            <br />
            Prod:
            <asp:TextBox ID="ProdTextBox" runat="server" Text='<%# Bind("Prod") %>' />
            <br />
            Qty:
            <asp:TextBox ID="QtyTextBox" runat="server" Text='<%# Bind("Qty") %>' />
            <br />
            Amt:
            <asp:TextBox ID="AmtTextBox" runat="server" Text='<%# Bind("Amt") %>' />
            <br />
            Disc:
            <asp:TextBox ID="DiscTextBox" runat="server" Text='<%# Bind("Disc") %>' />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                CommandName="Update" Text="Update" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <InsertItemTemplate>
            Cust:
            <asp:TextBox ID="CustTextBox" runat="server" Text='<%# Bind("Cust") %>' />
            <br />
            Prod:
            <asp:TextBox ID="ProdTextBox" runat="server" Text='<%# Bind("Prod") %>' />
            <br />
            Qty:
            <asp:TextBox ID="QtyTextBox" runat="server" Text='<%# Bind("Qty") %>' />
            <br />
            Amt:
            <asp:TextBox ID="AmtTextBox" runat="server" Text='<%# Bind("Amt") %>' />
            <br />
            Disc:
            <asp:TextBox ID="DiscTextBox" runat="server" Text='<%# Bind("Disc") %>' />
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                CommandName="Insert" Text="Insert" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </InsertItemTemplate>
        <ItemTemplate>
            OrderNbr:
            <asp:Label ID="OrderNbrLabel" runat="server" Text='<%# Eval("OrderNbr") %>' />
            <br />
            Cust:
            <asp:Label ID="CustLabel" runat="server" Text='<%# Bind("Cust") %>' />
            <br />
            Prod:
            <asp:Label ID="ProdLabel" runat="server" Text='<%# Bind("Prod") %>' />
            <br />
            Qty:
            <asp:Label ID="QtyLabel" runat="server" Text='<%# Bind("Qty") %>' />
            <br />
            Amt:
            <asp:Label ID="AmtLabel" runat="server" Text='<%# Bind("Amt") %>' />
            <br />
            Disc:
            <asp:Label ID="DiscLabel" runat="server" Text='<%# Bind("Disc") %>' />
            <br />
            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                CommandName="Edit" Text="Edit" />
            &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                CommandName="Delete" Text="Delete" />
            &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
                CommandName="New" Text="New" />
        </ItemTemplate>
    </asp:FormView>
    <asp:SqlDataSource ID="SqlDataSource3" runat="server" 
        ConnectionString="<%$ ConnectionStrings:MIT1264ConnectionString %>" 
        DeleteCommand="DELETE FROM [Orders] WHERE [OrderNbr] = @OrderNbr" 
        InsertCommand="INSERT INTO [Orders] ([Cust], [Prod], [Qty], [Amt], [Disc]) VALUES (@Cust, @Prod, @Qty, @Amt, @Disc)" 
        SelectCommand="SELECT * FROM [Orders] WHERE ([OrderNbr] = @OrderNbr)" 
        UpdateCommand="UPDATE [Orders] SET [Cust] = @Cust, [Prod] = @Prod, [Qty] = @Qty, [Amt] = @Amt, [Disc] = @Disc WHERE [OrderNbr] = @OrderNbr">
        <DeleteParameters>
            <asp:Parameter Name="OrderNbr" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="Cust" Type="String" />
            <asp:Parameter Name="Prod" Type="String" />
            <asp:Parameter Name="Qty" Type="Int32" />
            <asp:Parameter Name="Amt" Type="Decimal" />
            <asp:Parameter Name="Disc" Type="Decimal" />
        </InsertParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="GridView2" Name="OrderNbr" 
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="Cust" Type="String" />
            <asp:Parameter Name="Prod" Type="String" />
            <asp:Parameter Name="Qty" Type="Int32" />
            <asp:Parameter Name="Amt" Type="Decimal" />
            <asp:Parameter Name="Disc" Type="Decimal" />
            <asp:Parameter Name="OrderNbr" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
    </form>
</asp:Content>

